# Cannot build doc as of this moment. Construction requires unpackaged python2
# only deps.
%global with_doc 0
%global pypi_name autobahn
%global project_owner crossbario
%global github_name autobahn
%global _docdir_fmt %{name}

Name:           python-%{pypi_name}
Version:        20.12.3
Release:        %mkrel 1
Summary:        Python networking library for WebSocket and WAMP

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Group:          Development/Python
# pypi release doen't include README, nor doc, so using github instead
# See: https://github.com/tavendo/AutobahnPython/issues/429
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch
%if 0%{with_doc}
BuildRequires:  python2-scour # No python 3, https://github.com/oberstet/scour/issues/4
BuildRequires:  python2-scons
BuildRequires:  python-taschenmesser # No python 3, https://github.com/oberstet/taschenmesser/issues/3
BuildRequires:  python2-sphinx
BuildRequires:  python-sphinx-theme-bootstrap # Not packaged yet
BuildRequires:  python2-sphinxcontrib-spelling # Not packaged yet
BuildRequires:  python2-repoze-sphinx-autointerface
BuildRequires:  python-pyenchant
# End with_doc
%endif

%description
Autobahn a networking library that is part of the Autobahn project and provides
implementations of
* The WebSocket Protocol http://tools.ietf.org/html/rfc6455_
* The Web Application Messaging Protocol (WAMP) http://wamp.ws
for Twisted and asyncio on Python 2 & 3 and for writing servers and clients.


%package -n     python3-%{pypi_name}
Summary:        Python networking library for WebSocket and WAMP
BuildArch:      noarch
BuildRequires:  python3-cryptography
BuildRequires:  python3-devel >= 3.4
BuildRequires:  python3-cffi
BuildRequires:  python3-pep8
BuildRequires:  python3-flake8
BuildRequires:  python3-mock >= 1.3.0
BuildRequires:  python3-pynacl
BuildRequires:  python3-pytest >= 2.8.6
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-six >= 1.11.0
BuildRequires:  python3-txaio >= 20.0.0
Requires:       python3-zope-interface >= 3.6
Requires:       python3-ujson >= 1.33
Requires:       python3-wsaccel >= 0.6.2
Requires:       python3-snappy >= 0.5
Requires:       python3-lz4 >= 0.2.1
Requires:       python3-msgpack >= 0.4.6
Requires:       python3-six >= 1.11.0
Requires:       python3-txaio >= 2.10.0
Requires:       python3-cffi
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Autobahn a networking library that is part of the Autobahn project and provides
implementations of
* The WebSocket Protocol http://tools.ietf.org/html/rfc6455_
* The Web Application Messaging Protocol (WAMP) http://wamp.ws
for Twisted and asyncio on Python 2 & 3 and for writing servers and clients.


%if 0%{with_doc}
%package doc
Summary:        Python networking library for WebSocket and WAMP

%description doc
Autobahn a networking library that is part of the Autobahn project and provides
implementations of
* The WebSocket Protocol http://tools.ietf.org/html/rfc6455_
* The Web Application Messaging Protocol (WAMP) http://wamp.ws
for Twisted and asyncio on Python 2 & 3 and for writing servers and clients.

HTML documentation
# with doc
%endif


%prep
%setup -qn %{github_name}-%{version}
%autopatch -p1

# Remove upstream's egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build

%if 0%{with_doc}
# Build doc
cd doc && make build_no_network
%endif


%install
%py3_install
rm -f %{buildroot}/%{_bindir}/wamp


%check
# Ignore tests that rely on optionnal and not packaged deps.
USE_ASYNCIO=1 PYTHONPATH=$(pwd) py.test-%{python3_version} --pyargs autobahn -k 'not test_unknown_arg and not test_no_memory_arg and not test_basic and not test_argon2id_static and not test_websocket_custom_loop  and not TestSerializer and not test_rng'

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/xbrnetwork
%{python3_sitelib}/%{pypi_name}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/twisted/plugins/autobahn*.py
%{python3_sitelib}/twisted/plugins/__pycache__/autobahn*.py*

%if 0%{with_doc}
%files doc
%license LICENSE
%doc doc/_build
%endif




%changelog
* Fri Jan 22 2021 neoclust <neoclust> 20.12.3-1.mga8
+ Revision: 1672894
- New version 20.12.3
- Add P0: Fixes CVE-2020-35678 (mga#28196)
+ shlomif <shlomif>
- New version 20.7.1

* Tue Feb 18 2020 umeabot <umeabot> 19.11.1-2.mga8
+ Revision: 1539628
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 19.11.1-1.mga8
+ Revision: 1465475
- New version 19.11.1

* Sat Oct 12 2019 tv <tv> 19.8.1-2.mga8
+ Revision: 1452228
- BR python3-cryptography for testsuite
- rebuild with python 3.8

* Fri Aug 09 2019 shlomif <shlomif> 19.8.1-1.mga8
+ Revision: 1428444
- New version 19.8.1

* Fri Jul 19 2019 shlomif <shlomif> 19.3.2-1.mga8
+ Revision: 1422976
- mageiaisation
- from fedora

